{% capture html %}

    {% assign sanitisedLang = page.lang %}
    {% if sanitisedLang == nil %}
        {% assign sanitisedLang = 'en' %}
    {% endif %}

    {% assign localSlug = page.url | split:"/" | last %}
    {% assign parent = page.url | remove: localSlug | split:"/" | last %}

    {% if include.context == '/en/' or include.context == site.baseurl %}

        {% assign homeActive = false %}
        {% if (page.url == "/" or page.url == "/en/") %}
            {% assign homeActive = true %}
        {% endif %}
        
        <a class="{% if homeActive %} active{% endif %}" href="{{ site.baseurl }}/{{sanitisedLang}}/"> Home </a>
    {% endif %}

    {% assign entriesPre = site.pages | sort: 'navRanking' %}
    {% assign entries = entriesPre |
            where: 'lang', 'en' |
            where_exp: "pg", "pg.hide_from_nav != 1" %}
    {% for entry in entries %}

        {% assign slug = entry.url | split: "/" | last %}
        {% assign current = entry.url | remove: slug | remove: "//" | append: "/" %}
        {% assign depth = entry.url | remove: localSlug | split:"/" | size %}


        {% assign slugName = slug | remove: ".html"  %}
        {% assign child = entry.url | remove: ".html" %}

        {% if slugName == localSlug %}
            {% assign depth = depth | plus: 1 %}
        {% endif %}

        {% if current == include.context and depth < 5 %}

            {% assign addActive = false %}
            {% if page.url contains entry.url or parent == slugName %}
                {% assign addActive = true %}
            {% endif %}

            {% assign localisationUnavailable = false %}
            {% assign localFiles = site.pages |
                     where: 'content_id', entry.content_id |
                     where: 'lang', page.lang 
            %}
            {% if localFiles.size > 0 %}
                {% assign localisationAvailable = true %}
            {% endif %}

            {% assign locale = entry.url | slice:0,4 %}
            {% assign unlocalised = entry.url %}

            {% for supportedLang in site.data.localisations.locales %}
                {% assign testString = '/' | append: supportedLang | append: '/' %}
                {% if testString == locale %}
                    {% assign unlocalised = unlocalised | remove_first: locale %}
                    {% break %}
                {% endif %}
            {% endfor %}

            {% capture link %}{{site.baseurl}}/{{sanitisedLang}}/{{unlocalised}}
            {% endcapture %}

            <div class="navBarParent
                {% if addActive %} activeParent{% endif %}
                {% if localisationUnavailable %} localisationUnavailable {% endif %}
                {% if page.url contains unlocalised %} active{% endif %}
                ">
                <a href="{{link}}">{{ entry.title }}
                </a>
                <div class="navBarChild">
                    {% include nav.html context=child %}
                </div>
            </div>
        {% endif %}

    {% endfor %}


    {% if include.context == '/en/' or include.context == site.baseurl %}
    <!-- Language change section -->

    {% assign locale = page.url | slice:0,4 %}
    {% assign unlocalised = page.url %}

    {% for supportedLang in site.data.localisations.locales %}
        {% assign testString = '/' | append: supportedLang | append: '/' %}
        {% if testString == locale %}
            {% assign unlocalised = unlocalised | remove_first: locale %}
            {% break %}
        {% endif %}
    {% endfor %}

    {% if unlocalised == '/en' %}
        {% assign unlocalised = '' %}
    {% endif %}

    <div class="localisationContainer">
        <a href="{{ site.baseurl }}/en/{{unlocalised}}"><span class="flag-icon-en flag-icon
        {% if sanitisedLang == 'en' %} activeLang{% endif %}
        "></span></a>
        <a href="{{ site.baseurl }}/cn/{{unlocalised}}"><span class="flag-icon-cn flag-icon
        {% if sanitisedLang == 'cn' %} activeLang{% endif %}"></span></a>
        <a href="{{ site.baseurl }}/ru/{{unlocalised}}"><span class="flag-icon-ru flag-icon
        {% if sanitisedLang == 'ru' %} activeLang{% endif %}"></span></a>
    </div>

    {% endif %}


{% endcapture %}{{ html | strip_newlines | replace:'    ','' | replace:'    ','' | replace:'  ',' ' }}